Update order items quantity

Summary

Allows the partner to update the quantities for order items. The endpoint accepts amendments for multiple items in a single
call. It is recommended that the integrating partner batches all the substitutions for an order in a single call
of this endpoint in order to avoid receiving a rate limit exceeded error.

Usage scenario

Site would like to change quantities of order items and fulfill order partially.
Once quantities are amended order can be accepted.

Business constraints

  • Order has to be in the PLACED status.
  • An item (identified by id) can be amended only once.
  • The final_quantity value has to be less than the original quantity value.
  • Unchanged items are not allowed in the request.

Operational constraints

There's a rate limit of 2 request per order per second. If you get over the limit, you'll get "Too many requests" error.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Related order id in format {market}:{order_uuid}.

Body Params

Update order item quantities.

item_amendments
array of objects
required

Array of item amendments.

item_amendments*
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json